Module | Bio::Blast::Remote
In: | lib/bio/appl/blast/ddbj.rb lib/bio/appl/blast/genomenet.rb lib/bio/appl/blast/remote.rb

Bio::Blast::Remote is a namespace for Remote Blast factory.

### Methods

ddbj genomenet

### Classes and Modules

Module Bio::Blast::Remote::DDBJ
Module Bio::Blast::Remote::GenomeNet
Module Bio::Blast::Remote::Information

### Constants

Ddbj | = | DDBJ |  | for lazy load DDBJ module
Genomenet | = | GenomeNet |  | alias for lazy load

### Public Class methods

ddbj(program, db, options = [])

creates a remote BLAST factory using DDBJ Web service

[Source]

        # File lib/bio/appl/blast/remote.rb, line 30
    30:     def self.ddbj(program, db, options = [])
    31:       DDBJ.new(program, db, options)
    32:       #Bio::Blast.new(program, db, options, 'ddbj')
    33:     end

genomenet(program, db, options = [])

creates a remote BLAST factory using GenomeNet

[Source]

        # File lib/bio/appl/blast/remote.rb, line 24
    24:     def self.genomenet(program, db, options = [])
    25:       GenomeNet.new(program, db, options)
    26:       #Bio::Blast.new(program, db, options, 'genomenet')
    27:     end

[Validate]